Subject: FW: Re: Collections and Request-URIs

From: Geoff Alexander <[email-masked]>
Date: Mon, 01 Jul 2002 16:54:01 -0400

One other related question.  Does a resource whose name ends with a slash always
represent a collection?  RFC 2518 section 5.2 doesn't explicitly say this.

For example, say that we receive a PUT request for /dir/ and that /dir/ does not
exist.  Do we treat /dir/ as a collection and fail the request as implied in RFC 2518
Section 8.7.2 paragraph 1 or do we ignore the trailing slash and perform a  PUT on
/dir?

Thanks,
Geoff Alexander, Ph.D.
919/254-5216 T/L 444-5216
CMVC WebDAV Development
IBM Corporation
RTP, NC